Bug 1076012 - xsensors -f fails
Summary: xsensors -f fails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xsensors
Version: 20
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jeremy Newton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-13 11:38 UTC by Chuck Murnane
Modified: 2014-04-15 15:43 UTC (History)
1 user (show)

Fixed In Version: xsensors-0.73-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-04 12:04:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Chuck Murnane 2014-03-13 11:38:10 UTC
Description of problem:
xsensors -f is supposed to display lm_sensor derived data in Fahrenheit. However, it terminates with a GUI failed! message

Version-Release number of selected component (if applicable):
xsensors-0.72-1.fc20.x86_64

How reproducible:
xsensors -f always fails

Steps to Reproduce:
1. At a command line, type "xsensors -f"

Actual results:
Couldn't parse chip name -f!  Exiting!
GUI failed!


Expected results:
Window displaying temperatures in Fahrenheit.

Additional info:
"xsensors" with no command line arguments does open a window properly displaying temperatures in Celsius.

Comment 1 Jeremy Newton 2014-04-04 04:22:45 UTC
A fix should be available in rawhide within a few hours.

You can check out the other builds here:
https://koji.fedoraproject.org/koji/packageinfo?packageID=17558

I'll be pushing this as an update as soon as I can get confirmation of the fix, or when I deem I've tested it enough by myself.

Thanks for reporting this!

Comment 2 Jeremy Newton 2014-04-04 12:04:56 UTC
Fixed in rawhide, expect updates soon for other branches

Comment 3 Fedora Update System 2014-04-04 12:06:24 UTC
xsensors-0.73-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xsensors-0.73-1.fc19

Comment 4 Fedora Update System 2014-04-04 12:07:13 UTC
xsensors-0.73-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xsensors-0.73-1.fc20

Comment 5 Fedora Update System 2014-04-15 15:33:30 UTC
xsensors-0.73-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-04-15 15:43:04 UTC
xsensors-0.73-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.